Bug 114030 - NFS services not failing back as expected on cluster
NFS services not failing back as expected on cluster
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
2.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-21 11:31 EST by maurice dalton
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 13:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maurice dalton 2004-01-21 11:31:04 EST
Description of problem: I have 2 RH-AS2.1 systems clustered. I have 2 
NFS services built. When the clients mount the service and I do a 
cluster stop on the prime server, the NFS services failover correctly 
to the second server and mount points remain intact.
When I do a cluster start on the prime to automatically move the 
services back to the prime, both services will not come back 
correctly. One of the two will move back to the prime. The clients 
report NFS timeouts and hang.
The messages in the cluster.log:
clusvcmgrd: <err> service error Cannot stop filesystems /filesystemx

<crit> Not all services stopped cleanly, reboot needed.


Version-Release number of selected component (if applicable):
clumanager-1.0.25-1


How reproducible:
everytime


Steps to Reproduce:
1.cluster stop on system1, services failover to system2. verify 
client connections 
2.cluster start on system1. df to check services are back.
3.
  
Actual results:
1 of 2 services will not return

Expected results: We would expect both services to return to system1 
upon restarting the cluster daemons. The services are configured to 
return to system1 when that system is back to normal.


Additional info:
Comment 1 Lon Hohberger 2004-01-23 13:03:04 EST
If you have not done so already,  it would be beneficial to open a
support ticket so that the appropriate information can be obtained to
debug/solve this issue.
Comment 2 Lon Hohberger 2004-04-05 16:08:12 EDT
BTW - you can also try enabling "force unmount" support.  You'll need
to upload your cluster.conf as well.
Comment 3 Lon Hohberger 2004-08-27 13:22:11 EDT
Not enough data to debug; closing.

Note You need to log in before you can comment on or make changes to this bug.